import QtQml 2.15
import QtQuick 2.15
import org.ukui.quick.platform 1.0
DtThemeDefinition {
    id: dtTheme

    property color kGray5: Qt.rgba(229/255, 229/255, 229/255, 1)
    property color kGrayAlpha10: Qt.rgba(0/255, 0/255, 0/255, 0.55)
    property color kFontSecondaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.15)
    property color kLineSelectboxDisable: Qt.rgba(0/255, 0/255, 0/255, 0.08)
    property color kerrorNormal: KRed1
    property color kdividerWhite: Qt.rgba(255/255, 255/255, 255/255, 0.12)
    property color kFontPlaceholdertextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.12)
    property var ksuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 1)
    }
    property color kwarningNormal: KOrange1
    property color kFontWhitePlaceholdertextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.13)
    property color tooltipTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color kFontWhitePlaceholdertext: Qt.rgba(255/255, 255/255, 255/255, 0.35)
    property color kBrand3: Qt.rgba(227/255, 74/255, 232/255, 1)
    property color midlightInactive: kGray7
    property color kLineDock: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color kLineWindowActive: Qt.rgba(255/255, 255/255, 255/255, 0.7)
    property color tokenColor: Qt.rgba(255/255, 255/255, 255/255, 0.75)
    property color brighttextActive: KFontStrong
    property color tokenColor1: Qt.rgba(255/255, 255/255, 255/255, 0.55)
    property color kContainGeneralInactive: kGray1
    property color darkActive: KBlack
    property color tooltipbaseActive: kGray0
    property color kLineInputHover: Qt.rgba(0/255, 0/255, 0/255, 0.12)
    property color kBrand5: Qt.rgba(20/255, 166/255, 32/255, 1)
    property color kGrayAlpha4: Qt.rgba(0/255, 0/255, 0/255, 0.12)
    property var klineWarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 0.55)
    }
    property color kGrayAlpha11: Qt.rgba(0/255, 0/255, 0/255, 0.9)
    property var kbrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 1)
    }
    property color highlightDisable: Qt.rgba(54/255, 118/255, 245/255, 0.4)
    property color kWhite: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color kContainAlphaClick: kGrayAlpha3
    property color kLineInputDisable: Qt.rgba(0/255, 0/255, 0/255, 0.04)
    property color shadowInactive: Qt.rgba(0/255, 0/255, 0/255, 0.18)
    property color kdivider: kGrayAlpha3
    property color midActive: kGray13
    property color midLightDisable: Qt.rgba(204/255, 204/255, 204/255, 0.42)
    property var kbrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(54/255, 118/255, 245/255, 1)
    }
    property color textDisable: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color kGray7: Qt.rgba(214/255, 214/255, 214/255, 1)
    property color baseInactive: kGray1
    property color kmodalmask: kGrayAlpha6
    property color tooltipbaseInactive: kGray0
    property color tokenColor2: Qt.rgba(245/255, 245/255, 245/255, 0.82)
    property color kGray14: Qt.rgba(82/255, 82/255, 82/255, 1)
    property color kGrayAlpha9: Qt.rgba(0/255, 0/255, 0/255, 0.42)
    property color kGray13: Qt.rgba(102/255, 102/255, 102/255, 1)
    property color kbrandFocus: kGrayAlpha13
    property color kGray3: Qt.rgba(240/255, 240/255, 240/255, 1)
    property color windowTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color shadowActive: Qt.rgba(0/255, 0/255, 0/255, 0.25)
    property color ksuccessNormal: KGreen1
    property color linkVisitedActive: Qt.rgba(120/255, 48/255, 191/255, 1)
    property color kComponentAlphaNormal: kGrayAlpha1
    property var klineErrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 0.55)
    }
    property color kGray1: Qt.rgba(250/255, 250/255, 250/255, 1)
    property color kgreen1: Qt.rgba(24/255, 168/255, 13/255, 1)
    property color buttonInactive: kGray2
    property color kGrayAlpha13: Qt.rgba(0/255, 0/255, 0/255, 0.75)
    property color kComponentAlphaDisable: Qt.rgba(0/255, 0/255, 0/255, 0.02)
    property color alternateBaseInactive: Qt.rgba(0/255, 0/255, 0/255, 0.01)
    property color noRoleDisable: Qt.rgba(250/255, 250/255, 250/255, 0.42)
    property color kComponentHover: kGray4
    property color kLineComponentHover: kGrayAlpha3
    property color kFontSecondary: Qt.rgba(0/255, 0/255, 0/255, 0.4)
    property color kFontWhiteSecondaryDisable: Qt.rgba(255/255, 255/255, 255/255, 0.24)
    property color midInactive: kGray13
    property color kGray2: Qt.rgba(245/255, 245/255, 245/255, 1)
    property color kWarningDisable: Qt.rgba(255/255, 128/255, 31/255, 0.45)
    property color highlightedtextInactive: KFontWhite
    property color kLineNormal: Qt.rgba(0/255, 0/255, 0/255, 0.06)
    property color placeholderTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.14)
    property color highlightInactive: KBrandNormal
    property color midlightActive: kGray7
    property color brightTextDisable: Qt.rgba(0/255, 0/255, 0/255, 0.45)
    property color kLineSelectboxClick: Qt.rgba(0/255, 0/255, 0/255, 0.28)
    property color buttonActive: kGray2
    property color kLineErrorNormal: Qt.rgba(245/255, 73/255, 73/255, 0.55)
    property color kBrandDisable: Qt.rgba(54/255, 118/255, 245/255, 0.45)
    property var ksuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 1)
    }
    property color kGrayAlpha3: Qt.rgba(0/255, 0/255, 0/255, 0.08)
    property color lightActive: kGray0
    property color kContainSecondaryNormal: kGray2
    property color kBrand7: Qt.rgba(250/255, 125/255, 15/255, 1)
    property color kGray6: Qt.rgba(224/255, 224/255, 224/255, 1)
    property color korange1: Qt.rgba(255/255, 128/255, 31/255, 1)
    property color tokenColor3: Qt.rgba(255/255, 255/255, 255/255, 0.75)
    property var klineSuccessHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 0.55)
    }
    property color kGrayAlpha6: Qt.rgba(0/255, 0/255, 0/255, 0.24)
    property color kComponentClick: kGray6
    property color kLineSuccessDisable: Qt.rgba(24/255, 168/255, 13/255, 0.23)
    property var klineBrandClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(59/255, 121/255, 245/255, 0.55)
    }
    property color kbrandNormal: KBrand1
    property color kGray9: Qt.rgba(184/255, 184/255, 184/255, 1)
    property color kContainClick: kGray4
    property color tooltiptextInactive: KFontPrimary
    property var tokenColor4 : GradientColor {
        gradientDeg : 90
        gradientStart : Qt.rgba(232/255, 136/255, 248/255, 1)
        gradientEnd : Qt.rgba(1/255, 55/255, 245/255, 1)
        gradientBackground : Qt.rgba(1/255, 55/255, 245/255, 1)
    }
    property color linkDisable: Qt.rgba(46/255, 95/255, 209/255, 0.4)
    property var klineWarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 0.55)
    }
    property color textInactive: KFontPrimary
    property color kLineInputClick: KBrand1
    property color kLineWarningDisable: Qt.rgba(255/255, 128/255, 31/255, 0.23)
    property color kComponentNormal: kGray2
    property color kGray11: Qt.rgba(143/255, 143/255, 143/255, 1)
    property color kLineDisable: Qt.rgba(0/255, 0/255, 0/255, 0.03)
    property color kFontWhiteSecondary: Qt.rgba(255/255, 255/255, 255/255, 0.65)
    property var kerrorHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 1)
    }
    property color kGrayAlpha1: Qt.rgba(0/255, 0/255, 0/255, 0.04)
    property color kGray12: Qt.rgba(122/255, 122/255, 122/255, 1)
    property color windowInactive: kGray3
    property color alternateBaseActive: Qt.rgba(0/255, 0/255, 0/255, 0.03)
    property color kContainSecondaryAlphaNormal: kGrayAlpha12
    property var klineBrandHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(59/255, 121/255, 245/255, 0.55)
    }
    property color kComponentDisable: Qt.rgba(245/255, 245/255, 245/255, 0.45)
    property color kGray17: Qt.rgba(26/255, 26/255, 26/255, 1)
    property color noroleInactive: kGray1
    property color kGrayAlpha0: Qt.rgba(0/255, 0/255, 0/255, 0)
    property color kLineTable: Qt.rgba(0/255, 0/255, 0/255, 0.12)
    property color kFontStrong: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color tokenColor5: Qt.rgba(245/255, 245/255, 245/255, 0.82)
    property color kBlack: Qt.rgba(0/255, 0/255, 0/255, 1)
    property color kLineSelectboxNormal: Qt.rgba(0/255, 0/255, 0/255, 0.2)
    property color kGrayAlpha12: Qt.rgba(0/255, 0/255, 0/255, 0.02)
    property color kGrayAlpha7: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kLineSelectboxHover: Qt.rgba(0/255, 0/255, 0/255, 0.24)
    property color kLineMenu: Qt.rgba(255/255, 255/255, 255/255, 0.7)
    property color kGray10: Qt.rgba(163/255, 163/255, 163/255, 1)
    property color lightInactive: kGray0
    property color buttonDisable: Qt.rgba(245/255, 245/255, 245/255, 0.45)
    property color baseDisable: kGray1
    property color kErrorDisable: Qt.rgba(245/255, 73/255, 73/255, 0.45)
    property color kGrayAlpha5: Qt.rgba(0/255, 0/255, 0/255, 0.16)
    property color kGray16: Qt.rgba(41/255, 41/255, 41/255, 1)
    property color linkVisitedDisable: Qt.rgba(120/255, 48/255, 191/255, 0.4)
    property color darkDisable: KBlack
    property color kGrayAlpha8: Qt.rgba(0/255, 0/255, 0/255, 0.38)
    property color midDisable: Qt.rgba(102/255, 102/255, 102/255, 0.4)
    property color tokenColor6: Qt.rgba(250/255, 250/255, 250/255, 0.75)
    property var kwarningHover : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.1)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 1)
    }
    property color buttontextInactive: KFontPrimary
    property color kGray0: Qt.rgba(255/255, 255/255, 255/255, 1)
    property color buttontextActive: KFontPrimary
    property color noroleActive: kGray1
    property var klineSuccessClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(24/255, 168/255, 13/255, 0.55)
    }
    property color highlightedtextActive: KFontWhite
    property color kLineInputNormal: Qt.rgba(0/255, 0/255, 0/255, 0.08)
    property color kred1: Qt.rgba(245/255, 73/255, 73/255, 1)
    property color linkInactive: Qt.rgba(46/255, 95/255, 209/255, 1)
    property color kFontPrimaryDisable: Qt.rgba(0/255, 0/255, 0/255, 0.28)
    property color kFontPrimary: Qt.rgba(0/255, 0/255, 0/255, 0.88)
    property color kLineWarningNormal: Qt.rgba(255/255, 128/255, 31/255, 0.55)
    property color kLineSuccessNormal: Qt.rgba(24/255, 168/255, 13/255, 0.55)
    property color kContainGeneralAlphaNormal: kGrayAlpha0
    property color buttontextDisable: KFontPrimaryDisable
    property color placeholderTextActive: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kLineWindowInactive: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color lightDisable: Qt.rgba(255/255, 255/255, 255/255, 0.45)
    property color kBrand8: Qt.rgba(6/255, 192/255, 199/255, 1)
    property color linkVisitedInactive: Qt.rgba(120/255, 48/255, 191/255, 1)
    property color kFontPlaceholdertext: Qt.rgba(0/255, 0/255, 0/255, 0.28)
    property color tooltipBaseDisable: Qt.rgba(255/255, 255/255, 255/255, 0.4)
    property color kFontWhite: Qt.rgba(255/255, 255/255, 255/255, 0.98)
    property color kGray15: Qt.rgba(61/255, 61/255, 61/255, 1)
    property color textActive: KFontPrimary
    property color windowtextActive: KFontPrimary
    property color kComponentAlphaClick: kGrayAlpha4
    property color kGrayAlpha2: Qt.rgba(0/255, 0/255, 0/255, 0.06)
    property var kerrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 1)
    }
    property color tooltiptextActive: KFontPrimary
    property color highlightedTextDisable: Qt.rgba(255/255, 255/255, 255/255, 0.44)
    property color kLineComponentClick: kGrayAlpha4
    property color kBrand1: Qt.rgba(54/255, 118/255, 245/255, 1)
    property color kBrand6: Qt.rgba(240/255, 73/255, 67/255, 1)
    property color kFontWhiteDisable: Qt.rgba(255/255, 255/255, 255/255, 0.68)
    property color highlightActive: KBrandNormal
    property color kBrand2: Qt.rgba(137/255, 38/255, 235/255, 1)
    property color kLineBrandNormal: Qt.rgba(59/255, 121/255, 245/255, 0.55)
    property color kGray4: Qt.rgba(235/255, 235/255, 235/255, 1)
    property color kContainAlphaHover: kGrayAlpha1
    property color kSuccessDisable: Qt.rgba(24/255, 168/255, 13/255, 0.45)
    property color windowActive: kGray2
    property color kLineComponentNormal: kGrayAlpha2
    property color kGray8: Qt.rgba(199/255, 199/255, 199/255, 1)
    property color kLineSelectboxSelected: Qt.rgba(0/255, 0/255, 0/255, 0)
    property color kLineComponentDisable: Qt.rgba(0/255, 0/255, 0/255, 0.03)
    property var klineErrorClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(245/255, 73/255, 73/255, 0.55)
    }
    property color windowDisable: kGray3
    property color placeholderTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.3)
    property color kComponentAlphaHover: kGrayAlpha3
    property color darkInactive: KBlack
    property color kContainHover: kGray2
    property color shadowDisable: Qt.rgba(0/255, 0/255, 0/255, 0.11)
    property color kBrand4: Qt.rgba(242/255, 181/255, 39/255, 1)
    property color kLineBrandDisable: Qt.rgba(59/255, 121/255, 245/255, 0.23)
    property color kContainGeneralNormal: kGray0
    property color baseActive: kGray0
    property color kLineErrorDisable: Qt.rgba(245/255, 73/255, 73/255, 0.23)
    property color brighttextInactive: KFontStrong
    property color linkActive: Qt.rgba(46/255, 95/255, 209/255, 1)
    property var kwarningClick : GradientColor {
        gradientDeg : 0
        gradientStart : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientEnd : Qt.rgba(0/255, 0/255, 0/255, 0.2)
        gradientBackground : Qt.rgba(255/255, 128/255, 31/255, 1)
    }
    property color alternateBaseDisable: Qt.rgba(0/255, 0/255, 0/255, 0.01)
    property color windowTextInactive: Qt.rgba(0/255, 0/255, 0/255, 0.42)
    property int tokenFontsize24: 24
    property int tokenLineheight32: 32
    property int tokenFontsize14: 14
    property int tokenLineheight22: 22
    property int tokenFontsize16: 16
    property int tokenLineheight24: 24
    property int tokenFontsize141: 14
    property int tokenLineheight221: 22
    property int tokenFontsize18: 18
    property int tokenLineheight26: 26
    property int tokenFontsize12: 12
    property int tokenLineheight20: 20
    property int tokenBorderWidth2: 2
    property int tokenBorderWidth1: 1
    property int margin2: 2
    property int margin40: 40
    property int margin64: 64
    property int margin8: 8
    property int margin24: 24
    property int margin16: 16
    property int margin4: 4
    property int tokenPadding24: 24px 0px 24px 0
    property int tokenPadding40: 40
    property int tokenPadding32: 32
    property int tokenPadding4: 4
    property int tokenPadding0: 0px 2px 0px 2
    property int tokenPadding16: 16
    property int tokenPadding41: 4px 0px 4px 0
    property int tokenPadding01: 0px 16px 0px 16
    property int tokenPadding64: 64
    property int tokenPadding8: 8
    property int tokenPadding02: 0px 8px 0px 8
    property int tokenPadding81: 8px 0px 8px 0
    property int tokenPadding03: 0px 24px 0px 24
    property int tokenPadding2: 2
    property int tokenPadding161: 16px 0px 16px 0
    property int tokenPadding241: 24
    property int tokenPadding21: 2px 0px 2px 0
    property int tokenPadding04: 0px 4px 0px 4
    property int kRadiusMin: 4
    property int kRadiusNormal: 6
    property int kRadiusMax: 8
    property int kRadiusMenu: 8
    property int kRadiusWindow: 12
}
